Subject: [Diffserv] RE: new internet draft

From: Mudassir Tufail <[email-masked]>
Date: Fri, 9 Jun 2000 17:59:08 -0700

A quick query, is the idea of Alternative Best Effort any different from
your previous Asymmetric Best Effort? Thanks

Mudassir

> -----Original Message-----
> From: Paul Hurley [mailto:[email-masked]]
> Sent: Friday, June 09, 2000 8:41 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: new internet draft
> 
> 
> We have produced an Internet-Draft on "The Alternative 
> Best-Effort Service", 
> the announcement and abstract of which we attach below.
> 
> Alternative Best Effort, ABE, is as a candidate 
> differentiated service.  The 
> goal is to provide low delay to rate adaptive applications 
> such as internet 
> telephony. The idea is to offer applications the choice 
> between receiving a 
> lower end-to-end delay and receiving more overall throughput.
> 
> Naturally, we appreciate any comments or questions.
> 
> Paul + Jean-Yves.
> 
> ---
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
>         Title           : The Alternative Best-Effort Service
>         Author(s)       : P. Hurley, J. Le Boudec
>         Filename        : draft-hurley-alternative-best-effort-00.txt
>         Pages           : 6
>         Date            : 05-Jun-00
>         
> Alternative Best-Effort (ABE) is a novel service for IP networks. It
> offers applications the choice between receiving a lower end-to-end
> delay and receiving more overall throughput. Every best effort packet
> is tagged as either green or blue. Green packets receive a low, 
> bounded queueing delay. To ensure blue packets do not suffer as a
> result, green flows receive less throughput during bouts of
> congestion.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-hurley-alternative-b
est-effort-00.txt
----
Abstract

   Alternative Best-Effort (ABE) is a novel service for IP networks. It
   offers applications the choice between receiving a lower end-to-end
   delay and receiving more overall throughput. Every best effort packet
   is tagged as either green or blue. Green packets receive a low, 
   bounded queueing delay. To ensure blue packets do not suffer as a
   result, green flows receive less throughput during bouts of
   congestion.
   
   The unique combination of lower delay with reduced throughput for 
   green makes it different from existing differentiated
   service proposals such as expedited forwarding [5] and assured
   forwarding [6]. The incentive to choose one or other is based on the
   nature of one's traffic and on traffic conditions. Typically, green
   flows have real-time deadlines (e.g. interactive audio), while blue
   traffic (e.g. bulk data transfer) seeks to minimise overall transfer
   time. There is benefit for all traffic in that green traffic achieves
   a low delay and blue traffic will receive at least as much throughput
   as it would in a flat best-effort network and usually more. Neither
   traffic type can be said to be better, thus flat rate pricing may be
   maintained, and there is no need for reservations or profiles. 
 
   In this document we define the ABE service, discuss its usefulness, 
   and describe the requirements of router algorithms for ABE support. 
   ABE is not restricted to any specific implementation. One FIFO based
   implementation is described in [10]. Other implementations such as
   per-flow queueing based ones are certainly do-able. We invite 
   universities and research centres to define other implementations.

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Mark Stewart <[email-masked]>
Date: Mon, 12 Jun 2000 11:10:42 -0400

Another quick query, beyond the fact that this service is easy to implement,

and not detrimental to TCP traffic what benifit does it offer? i.e. is there
a
significant application out there that wants this service?

Ciao

Mark Stewart